MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029491Open CASCADE[OCCT] OCCT:Visualizationpublic2018-02-08 09:172018-06-29 21:19
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029491: Visualization, AIS_Shape - filter unsupported Display Modes within ::AcceptDisplayMode()
DescriptionAIS_Shape does not implement ::AcceptDisplayMode() which makes this presentation accepting any Display Modes, even unsupported ones.

This issue might lead to various application bugs and unexpected behavior.
Thus, the missing method should be added.

In addition, AIS_ColoredShape::Compute() does not filter unsupported Display Modes and computes Wireframe presentation in such cases.
This is also misbehavior which should be fixed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0029882verifiedkgv Community Visualization - AcceptDisplayMode() should be redefined in class AIS_TexturedShape 

-  Notes
(0073867)
git (administrator)
2018-02-08 09:30

Branch CR29491 has been created by kgv.

SHA-1: 8069d0fbbca2739c624c1891d2f01121121532f3


Detailed log of new commits:

Author: kgv
Date: Thu Feb 8 09:30:39 2018 +0300

    0029491: Visualization, AIS_Shape - filter unsupported Display Modes within ::AcceptDisplayMode()
    
    AIS_Shape::AcceptDisplayMode() now accepts only modes 0,1 and 2.
    AIS_ColoredShape::Compute() no more computes presentation for unknown display mode.
(0073878)
git (administrator)
2018-02-08 13:50

Branch CR29491 has been updated forcibly by kgv.

SHA-1: 939b7c6e826317cfd00ecc4306c54060127bf59b
(0073879)
kgv (developer)
2018-02-08 13:51

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29491-master-KGV [^]
(0073902)
san (developer)
2018-02-09 14:26

Branch CR29491 reviewed without remarks, ready for testing.
(0073903)
apn (administrator)
2018-02-09 14:34

Combination -
OCCT branch : CR29491 SHA - 939b7c6e826317cfd00ecc4306c54060127bf59b
Products branch : master SHA - a8f3ddb817485da4a83285b039a03044dfa7f6c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18287.079999999667 / 18606.899999999736 [-1.72%]
Products
Total CPU difference: 7491.640000000005 / 7496.730000000002 [-0.07%]
Windows-64-VC10:
OCCT
Total CPU difference: 17673.66529199852 / 17649.12633469849 [+0.14%]
Products
Total CPU difference: 8071.63214089993 / 8001.213289499973 [+0.88%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073916)
git (administrator)
2018-02-11 09:55

Branch CR29491 has been deleted by kgv.

SHA-1: 939b7c6e826317cfd00ecc4306c54060127bf59b

- Related Changesets
occt: master f8e0c6c4
Timestamp: 2018-02-08 06:30:39
Author: kgv
Committer: apn
Details ] Diff ]
0029491: Visualization, AIS_Shape - filter unsupported Display Modes within ::AcceptDisplayMode()

AIS_Shape::AcceptDisplayMode() now accepts only modes 0,1 and 2.
AIS_ColoredShape::Compute() no more computes presentation for unknown display mode.
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-08 09:17 kgv New Issue
2018-02-08 09:17 kgv Assigned To => kgv
2018-02-08 09:30 git Note Added: 0073867
2018-02-08 13:50 git Note Added: 0073878
2018-02-08 13:51 kgv Note Added: 0073879
2018-02-08 13:51 kgv Assigned To kgv => san
2018-02-08 13:51 kgv Severity minor => trivial
2018-02-08 13:51 kgv Status new => resolved
2018-02-09 09:40 kgv Product Version 7.2.0 => 6.3.1
2018-02-09 09:41 kgv Relationship added related to 0027916
2018-02-09 14:26 san Note Added: 0073902
2018-02-09 14:26 san Assigned To san => bugmaster
2018-02-09 14:26 san Status resolved => reviewed
2018-02-09 14:34 apn Test case number => Not needed
2018-02-09 14:34 apn Note Added: 0073903
2018-02-09 14:34 apn Status reviewed => tested
2018-02-10 17:14 apn Changeset attached => occt master f8e0c6c4
2018-02-10 17:14 apn Assigned To bugmaster => apn
2018-02-10 17:14 apn Status tested => verified
2018-02-10 17:14 apn Resolution open => fixed
2018-02-11 09:55 git Note Added: 0073916
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-19 10:26 kgv Relationship added parent of 0029882
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker